Announcement

#1 2023-07-07 18:27:46

plg
Piwigo Team
Nantes, France, Europe
2002-04-05
13795

Piwigo 13.8.0

Release 13.8.0 is available. It comes with security issues fixed and fixes bug introduced in Piwigo 13.7.0 (collateral damage).

https://sandbox.piwigo.com/i.php?/uploads/4/y/1/4y1zzhnrnw//2022/10/04/20221004152032-fc6a5dc2-xx.jpg

Piwigo 13.8.0 release note

Background image by Ahmed El Aidy on Pexels

Offline

#2 2023-07-07 19:20:40

Katryne
Member
2016-12-03
376

Re: Piwigo 13.8.0

And with a background at Antelope Canyon, I installed it immediately !
https://album.chauvigne.info/picture?/2 … erica_2014


http://photos.katrynou.fr/ v.14.1.0 https://album.chauvigne.info/ v.13.8.0
Système d'exploitation: Linux - Hébergeur 1&1-Ionos PHP: 8.0.28 - MySQL: 5.7.38
Bibliothèque graphique: External ImageMagick 6.9.10-23

Offline

#3 2023-07-07 20:43:15

Ewgeniy
Guest

Re: Piwigo 13.8.0

Hi. When you turn on the slideshow, a line appears on the screen:

warning: undefined array key "showdescriptioninsteadoftitle" in /home/o/o91510pi/o91510pi.beget.tech/public_html/piwigo/_data/templates_c/1a0lywq^781f833c441dc877aa2a1def2b3014a1e2da589c_0.file.slideshow.tpl.php on line 69

#4 2023-07-07 23:57:43

executive
Member
2017-08-16
1214

Re: Piwigo 13.8.0

@Ewgeniy
please post your issue in the troubleshooting secion, not announcements. Thank you.

Offline

#5 2023-07-08 00:05:08

executive
Member
2017-08-16
1214

Re: Piwigo 13.8.0

Update successful. All good over here.
Thanks for the update.

Offline

#6 2023-07-08 10:42:41

Ewgeniy
Guest

Re: Piwigo 13.8.0

executive wrote:

@Ewgeniy
please post your issue in the troubleshooting secion, not announcements. Thank you.

It's okay, I set the theme too old. )

#7 2023-07-08 11:33:36

erAck
Only trying to help
2015-09-06
2058

Re: Piwigo 13.8.0

Works, thanks!


Running Piwigo at https://erack.net/gallery/

Offline

#8 2023-07-12 18:19:52

Phil35
Member
France
2022-10-11
60

Re: Piwigo 13.8.0

Hi,

What is the minimum php level required so it will work with piwigo and with a php supported version?

My concern is:
-PHP7.4 still ok to run but problem as this version is no more supported
  as written there: https://piwigo.org/guides/install/requirements
- is 8.2 really Ok with Piwigo?

In a few word what is the recommendation from Piwigo Team?

Thank you
Phil

Last edited by Phil35 (2023-07-12 18:23:37)


Piwigo 13.8 on production platform  raspberry pi 4 (os 11 (bullseye))
Piwigo 14.1 on test platform raspberry pi 4  (os 11 (bullseye))

Offline

#9 2023-07-12 19:09:11

plg
Piwigo Team
Nantes, France, Europe
2002-04-05
13795

Re: Piwigo 13.8.0

As written on https://piwigo.org/guides/install/requirements :

PHP 7.4+. Piwigo can run with PHP 7.0+ but these end-of-life versions are no longer maintained and may expose your site to security vulnerabilities.

Piwigo 13.8.0 is compatible with PHP 8.1 but some plugins are not. Piwigo 14 will be compatible with PHP 8.2 but some plugins won't :-/

Offline

#10 2023-07-13 10:15:18

erAck
Only trying to help
2015-09-06
2058

Re: Piwigo 13.8.0

Best bet currently is PHP 8.0
Unmaintained plugins will become more and more a problem.


Running Piwigo at https://erack.net/gallery/

Offline

#11 2023-07-16 19:12:30

Phil35
Member
France
2022-10-11
60

Re: Piwigo 13.8.0

Thanks you @plg @erAck,  upgrade done from 12.3.0 to 13.8.0 still with php 7.4.33,
I have now to upgrade php to 8.0

Thanks!
Great software and great team
Phil35


Piwigo 13.8 on production platform  raspberry pi 4 (os 11 (bullseye))
Piwigo 14.1 on test platform raspberry pi 4  (os 11 (bullseye))

Offline

#12 2023-07-17 03:44:20

mr.phil
Member
2023-01-25
1

Re: Piwigo 13.8.0

plg wrote:

As written on https://piwigo.org/guides/install/requirements :

PHP 7.4+. Piwigo can run with PHP 7.0+ but these end-of-life versions are no longer maintained and may expose your site to security vulnerabilities.

Piwigo 13.8.0 is compatible with PHP 8.1 but some plugins are not. Piwigo 14 will be compatible with PHP 8.2 but some plugins won't :-/

Any idea which plugins will fail with newer versions of PHP? Or is this going to be a 'try it and see what breaks' exercise?

Offline

#13 2023-07-17 09:44:25

plg
Piwigo Team
Nantes, France, Europe
2002-04-05
13795

Re: Piwigo 13.8.0

mr.phil wrote:

Any idea which plugins will fail with newer versions of PHP? Or is this going to be a 'try it and see what breaks' exercise?

Option 2 :-(

It's a bit sad that PHP decides to break existing code. And I would even more say that they're doing to at a much higher speed these last years than before :-/

Offline

#14 2023-07-17 22:31:35

Zentalquabula
Member
2014-05-10
217

Re: Piwigo 13.8.0

plg wrote:

It's a bit sad that PHP decides to break existing code. And I would even more say that they're doing to at a much higher speed these last years than before :-/

PHP is maturing, Piwigo is not. Rewrite everything as OOP, take advantage of all the features, and don’t get stuck in the past. Piwigo could be 10x as fast with 10x smaller footprint.

Offline

#15 2023-07-18 01:38:05

executive
Member
2017-08-16
1214

Re: Piwigo 13.8.0

Zentalquabula wrote:

don’t get stuck in the past.

still have some time. You don't even use Piwigo.
I don't find it terribly slow.

https://i.postimg.cc/bN61xxny/Screenshot-2023-07-17-at-16-35-16-Usage-Statistics-and-Market-Share-of-PHP-for-Websites-July-2023.png

Last edited by executive (2023-07-18 01:40:43)

Offline

Board footer

Powered by FluxBB

github twitter newsletter Donate Piwigo.org © 2002-2024 · Contact